Name:           taisei
Version:        1.1.2
Release:        %mkrel 1
Summary:        Taisei is a fan-made, Open Source clone of the Touhou series
License:        MIT and CC0
Group:          Games/Shooter
URL:            https://taisei-project.org
Source0:        https://github.com/laochailan/taisei/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(libzip)
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(SDL2_mixer)
BuildRequires:  pkgconfig(SDL2_ttf)
BuildRequires:  pkgconfig(zlib)
BuildRequires:  python3

%description
Taisei is an open clone of the Touhou series. Touhou is a one-man project
of shoot-em-up games set in an isolated world full of Japanese folklore.

%prep
%autosetup -p1

# (akien) Was wrong in 1.1.2
sed -i CMakeLists.txt -e 's/TAISEI_VERSION_FALLBACK "1.1.1"/TAISEI_VERSION_FALLBACK "%{version}"/'

%build
%cmake
%make_build

%install
%make_install -C build

# We handle docs manually
rm -rf %{buildroot}%{_docdir}

%files
%doc ENVIRON.md README.md STORY.txt
%license COPYING
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png


%changelog
* Sat Dec 30 2017 akien <akien> 1.1.2-1.mga6
+ Revision: 1187908
- Version 1.1.2
- Switch to SDL2

* Mon Feb 08 2016 umeabot <umeabot> v1.0a_116-9.mga6
+ Revision: 943435
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> v1.0a_116-8.mga5
+ Revision: 745994
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> v1.0a_116-7.mga5
+ Revision: 689683
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> v1.0a_116-6.mga4
+ Revision: 526465
- Mageia 4 Mass Rebuild

* Tue Jun 04 2013 fwang <fwang> v1.0a_116-5.mga4
+ Revision: 436961
- rebuild for new libpng

* Mon Jan 14 2013 umeabot <umeabot> v1.0a_116-4.mga3
+ Revision: 384032
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Sep 28 2012 blue_prawn <blue_prawn> v1.0a_116-3.mga3
+ Revision: 299155
- moved to new rpm group Games/Shooter

* Fri Sep 07 2012 blue_prawn <blue_prawn> v1.0a_116-2.mga3
+ Revision: 289081
- libpng dependency
- libfreealut dependency
- openal dependency
- removed optipng, some images don't support the conversion
- build requires cmake
- imported package taisei

